#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "mainwindow.h"

int main(int argc, char* argv[])
{
  KAboutData about("kmem",
		   "KMem",
		   "0.1",
		   I18N_NOOP("A Memory game for KDE"),
		   KAboutData::License_GPL_V2,
		   I18N_NOOP("(C) 2002/2005 by Alex Gontmakher"),
		   0,
		   0,
		   "gsasha@cs.technion.ac.il");
  about.addAuthor("Alex Gontmakher", 0, "gsasha@cs.technion.ac.il",
		  "http://www.kde.org");

  KCmdLineArgs::init(argc, argv, &about);

  KApplication app;

  if (app.isRestored()) {
    RESTORE(MainWindow);
  }
  else {
    MainWindow* main_window = new MainWindow("kmem");
    app.setMainWidget(main_window);
    main_window->show();
  }
  return app.exec();
}
